<ng-container *transloco="let t">
  <div class="simple-search-overlay">
    <div
      cdkTrapFocus
      cdkTrapFocusAutoCapture
      class="search-bar-wrapper dense-5"
    >
      <div class="search-bar">
        <mat-form-field subscriptSizing="dynamic">
          @if (searchControl.value) {
          <button mat-icon-button matSuffix (click)="searchControl.reset()">
            <mat-icon>clear</mat-icon>
          </button>
          } @else {
          <mat-icon matIconSuffix>search</mat-icon>
          }

          <input
            [formControl]="searchControl"
            [placeholder]="t('LAYOUT.TOOLBAR.SEARCH_BAR.PLACEHOLDER')"
            matInput
          />
        </mat-form-field>
      </div>

      @if (isMobile()) {
      <button mat-icon-button (click)="closeOverlay()">
        <mat-icon>close</mat-icon>
      </button>
      }
    </div>

    @if (loading$ | async) {
    <div class="placeholder-results">
      <moe-skeleton *ngFor="let i; repeat: 3" height="5rem"></moe-skeleton>
    </div>
    } @if (showManga$ | async) {
    <div class="search-results">
      @for (manga of manga$ | async; track manga.id) {
      <div class="search-results__item">
        <moe-simple-search-preview [manga]="manga" />
      </div>
      } @empty {
      <span class="search-results__empty">
        {{ t('LAYOUT.TOOLBAR.SEARCH_BAR.NO_RESULTS') }}
      </span>
      }
    </div>
    }
  </div>
</ng-container>
